IPPValue
Keywords: org.cups.IPPValue,IPPValue class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class IPPValue

    java.lang.Object
      |
      +--org.cups.IPPValue

public class IPPValue
extends java.lang.Object

Constructor Summary
`IPPValue(boolean p_boolean)` Boolean constructor.
`IPPValue(byte p_byte)` Byte constructor.
`IPPValue(byte p_units, int p_xres, int p_yres)` Resolution constructor.
`IPPValue(char[] p_date)` Date constructor.
`IPPValue(int p_int)` Integer constructor.
`IPPValue(int p_int, boolean anything)` Enum constructor.
`IPPValue(int p_length, char[] p_data)` Raw data constructor.
`IPPValue(int p_lower, int p_upper)` Range constructor.
`IPPValue(short p_short)` Short constructor.
`IPPValue(java.lang.String p_charset, java.lang.String p_text)` String constructor.

Method Summary
`long` | `IPPDateToTime()` Convert an IPP Date value to Unix Time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPPValue

    public IPPValue(byte p_byte)

  Byte constructor.

### IPPValue

    public IPPValue(short p_short)

  Short constructor.

### IPPValue

    public IPPValue(int p_int)

  Integer constructor.

### IPPValue

    public IPPValue(int p_int,
                    boolean anything)

  Enum constructor.

### IPPValue

    public IPPValue(boolean p_boolean)

  Boolean constructor.

### IPPValue

    public IPPValue(char[] p_date)

  Date constructor. Also set the `unix_time` member.

### IPPValue

    public IPPValue(java.lang.String p_charset,
                    java.lang.String p_text)

  String constructor. Set the `string` and `charset` values.

### IPPValue

    public IPPValue(int p_lower,
                    int p_upper)

  Range constructor. Automatically swap as needed.

### IPPValue

    public IPPValue(byte p_units,
                    int p_xres,
                    int p_yres)

  Resolution constructor.

### IPPValue

    public IPPValue(int p_length,
                    char[] p_data)

  Raw data constructor.

Method Detail

### IPPDateToTime

    public long IPPDateToTime()

  Convert an IPP Date value to Unix Time.

  Returns:
    `long` Unix time in seconds.
  See Also:
    `IPPCalender`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD